//
//  AppController.h
//  OpenMoko Flasher
//
//  Created by H. Nikolaus Schaller on 01.08.07.
//  Copyright 2007 Golden Delicious Computers GmbH&Co. KG. All rights reserved.
//  Licensed under GPLv2 - see www.fsf.org
//

#import <Cocoa/Cocoa.h>


@interface AppController : NSObject {
	IBOutlet NSPopUpButton *region;
	IBOutlet NSTableView *table;
	IBOutlet NSButton *loadButton;
	IBOutlet NSButton *flashButton;
	IBOutlet NSButton *removeButton;
	IBOutlet NSButton *refreshButton;
	IBOutlet NSTextView *logView;
	IBOutlet NSProgressIndicator *progress;
	IBOutlet NSComboBox *repositoryView;
	NSTask *flasher;
	NSString *currentFile;
	NSMutableArray *repositories;
	NSMutableArray *packages;		// URLs (either http:// or file://)
	NSMutableDictionary *moreInfo;	// e.g. date
	NSMutableArray *filtered;
	NSMutableArray *downloads;		// running downloads
}

- (IBAction) add:(id) sender;		// manually add file to cache
- (IBAction) remove:(id) sender;	// remove from cache
- (IBAction) refresh:(id) sender;	// refresh list
- (IBAction) load:(id) sender;		// load selected to cache
- (IBAction) flash:(id) sender;		// flash selected from cache
- (IBAction) filter:(id) sender;	// change filter
- (IBAction) didchange:(id) sender;	// repository did change
- (IBAction) go:(id) sender;

@end
